BEEM - Android XMPP - Bug #383

Erreur survenue sur le serveur
01/07/2012 10:21 AM - Anonymous

Status: Rejected Start date: 01/07/2012
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.1.7

Affected version: 0.1.6 Locale:

Description

Je viens d'installer un serveur Jabber (prosody), j'arrive @ m'y connecter sans probléme sur le PC avec Empathy ou Gajim, mais
avec Beem (0.1.6), dés que je me connecte il m'affiche "Erreur survenu(e) sur le serveur” (il manque le 'e' au passage dans le
message).

Mon serveur a été installé comme ceci : http://blog.romiv.com/2012/01/heberger-un-serveur-jabber-simplement-prosody/

History

#1 - 01/07/2012 02:54 PM - Romain Vimont

(c'était de moi le bug report, j'avais oublié de me connecter)

Il semblerait que le probléme vienne d'IPv6 : beem n'arrive pas a se connecter sur une adresse IPv6. J'ai récupéré les sources et exécuté sur mon
téléphone a partir d'Eclipse pour avoir la stacktrace, j'ai ceci :

01-07 14:43:33.036: E/’XMPPConnectionAdapter(10537): XMPPError connecting to rom1v.com:5222.: remote-server-error(502) XMPPError
connecting to rom1v.com:5222.

01-07 14:43:33.036: E/XMPPConnectionAdapter(10537): -- caused by: java.net.ConnectException:
rom1v.com/2a01:e34:eecb:13c0:82ee:73ff:fe07:95ce:5222 - Connection refused

Si au lieu de me connecter a rom1v.com (dont le DNS contient a la fois AAAA et A), je me connecte a ipv4.rom1iv.com (qui ne contient que l'entrée
A), ca fonctionne (mais I'authentification ne fonctionne pas, car mon JID n'est pas en @ipv4.rom1v.com).

#2 - 01/07/2012 03:09 PM - Romain Vimont

En gardant le JID en @rom1v.com et en précisant dans options spécifiques le serveur ipv4.rom1v.com, ¢a fonctionne...

Par contre j'ai regardé dans le code, & premiére vue je dirais que ¢a vient de la lib asmack... A vérifier...

#3 - 01/13/2012 02:30 AM - Frédéric Barthéléry
- Status changed from New to Rejected
- Assignee set to Frédéric Barthéléry

- Target version set to 0.1.7

Not a bug.
Your prosody server does not listen on ipv6. You have to configure your dns SRV records to direct on the ipv4 interface.
See http://wiki.xmpp.org/web/SRV_Records#XMPP_SRV_records
